## wcstools 3.8.4

=== Makefile ===
CFLAGS= -g
CC= cc
LIBWCS = libwcs/libwcs.a
LIBNED = libned/libned.a
LIBS = $(LIBWCS) -lm
#LIBS = $(LIBWCS) -lm -lnsl -lsocket
BIN = bin
.PRECIOUS: ${LIBWCS} ${LIBNED}
.c.o:
	$(CC) -c $(CFLAGS) $(DEFS) $<

all:	cphead delwcs delhead edhead fixpix gethead i2f imcat imhead immatch \
	imrot imsize imstar imwcs scat sethead addpix getpix setpix sky2xy \
	keyhead skycoor subpix xy2sky wcshead conpix gettab newfits getfits \
	imstack imextract sumpix remap getcol getdate imfill imsmooth imresize \
	fileroot filename filext char2sp sp2char crlf isnum isrange isfits \
	simpos nedpos bincat

addpix: addpix.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/addpix addpix.c $(LIBS)

bincat: bincat.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/bincat bincat.c $(LIBS)

char2sp: char2sp.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/char2sp char2sp.c $(LIBWCS)

conpix: conpix.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/conpix conpix.c $(LIBS)

cphead: cphead.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/cphead cphead.c $(LIBS)

crlf: crlf.c
	$(CC) $(CFLAGS) -o $(BIN)/crlf crlf.c

delwcs: delwcs.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/delwcs delwcs.c $(LIBS)

delhead: delhead.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/delhead delhead.c $(LIBS)

edhead: edhead.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/edhead edhead.c $(LIBS)

filename: filename.c
	$(CC) $(CFLAGS) -o $(BIN)/filename filename.c

filedir: filedir.c
	$(CC) $(CFLAGS) -o $(BIN)/filedir filedir.c

fileroot: fileroot.c
	$(CC) $(CFLAGS) -o $(BIN)/fileroot fileroot.c

filext: filext.c
	$(CC) $(CFLAGS) -o $(BIN)/filext filext.c

fixpix: fixpix.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/fixpix fixpix.c $(LIBS)

getcol: getcol.c $(LIBWCS) libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/getcol getcol.c $(LIBS)

getdate: getdate.c $(LIBWCS) libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/getdate getdate.c $(LIBS)

gethead: gethead.c $(LIBWCS) libwcs/wcs.h libwcs/fitsfile.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/gethead gethead.c $(LIBS)

getfits: getfits.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/getfits getfits.c $(LIBS)

getpix: getpix.c $(LIBWCS) libwcs/wcs.h libwcs/fitsfile.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/getpix getpix.c $(LIBS)

gettab: gettab.c $(LIBWCS) libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/gettab gettab.c $(LIBS)

httpget: httpget.c $(LIBWCS) libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/httpget httpget.c $(LIBS)

i2f: i2f.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/i2f i2f.c $(LIBS)

imcat: imcat.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/imcat imcat.c $(LIBS)

imfill: imfill.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/imfill imfill.c $(LIBS)

imresize: imresize.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/imresize imresize.c $(LIBS)

imsmooth: imsmooth.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/imsmooth imsmooth.c $(LIBS)

imhead: imhead.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/imhead imhead.c $(LIBS)

imrot: imrot.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/imrot imrot.c $(LIBS)

imsize: imsize.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/imsize imsize.c $(LIBS)

imstack: imstack.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/imstack imstack.c $(LIBS)

imextract: imextract.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/imextract imextract.c $(LIBS)

imstar: imstar.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h libwcs/lwcs.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/imstar imstar.c $(LIBS)

isfits: isfits.c $(LIBWCS) libwcs/fitshead.h
	$(CC) $(CFLAGS) -o $(BIN)/isfits isfits.c $(LIBS)

isnum: isnum.c $(LIBWCS) libwcs/fitshead.h
	$(CC) $(CFLAGS) -o $(BIN)/isnum isnum.c $(LIBS)

isrange: isrange.c
	$(CC) $(CFLAGS) -o $(BIN)/isrange isrange.c

imwcs: imwcs.c $(LIBWCS) libwcs/fitsfile.h libwcs/lwcs.h
	$(CC) $(CFLAGS) -o $(BIN)/imwcs imwcs.c $(LIBS)

immatch: immatch.c $(LIBWCS) libwcs/fitsfile.h libwcs/lwcs.h
	$(CC) $(CFLAGS) -o $(BIN)/immatch immatch.c $(LIBS)

immwcs: immwcs.c $(LIBWCS) libwcs/fitsfile.h libwcs/lwcs.h
	$(CC) $(CFLAGS) -o $(BIN)/immwcs immwcs.c $(LIBS)

keyhead: keyhead.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/keyhead keyhead.c $(LIBS)

matchcat: matchcat.c $(LIBWCS) libwcs/wcscat.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/matchcat matchcat.c $(LIBS)

nedname: nedname.c $(LIBWCS) $(LIBNED) libwcs/wcs.h libned/ned_client.h
	$(CC) $(CFLAGS) -o $(BIN)/nedname nedname.c $(LIBS) $(LIBNED)

nedpos: nedpos.c $(LIBWCS) $(LIBNED) libwcs/wcs.h libned/ned_client.h
	$(CC) $(CFLAGS) -o $(BIN)/nedpos nedpos.c $(LIBS) $(LIBNED)

newfits: newfits.c $(LIBWCS) libwcs/fitshead.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/newfits newfits.c $(LIBS)

remap: remap.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/remap remap.c $(LIBS)

scat: scat.c $(LIBWCS) libwcs/wcscat.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/scat scat.c $(LIBS)

sethead: sethead.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h
	$(CC) $(CFLAGS) -o $(BIN)/sethead sethead.c $(LIBS)

setpix: setpix.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/setpix setpix.c $(LIBS)

sky2xy: sky2xy.c $(LIBWCS) libwcs/wcs.h libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/sky2xy sky2xy.c $(LIBS)

skycoor: skycoor.c $(LIBWCS) libwcs/wcs.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/skycoor skycoor.c $(LIBS)

sp2char: sp2char.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/sp2char sp2char.c $(LIBWCS)

subpix: subpix.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/subpix subpix.c $(LIBS)

sumpix: sumpix.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/sumpix sumpix.c $(LIBS)

wcshead: wcshead.c $(LIBWCS) libwcs/fitsfile.h
	$(CC) $(CFLAGS) -o $(BIN)/wcshead wcshead.c $(LIBS)

xy2sky: xy2sky.c $(LIBWCS) libwcs/wcs.h libwcs/wcscat.h
	$(CC) $(CFLAGS) -o $(BIN)/xy2sky xy2sky.c $(LIBS)

simpos: simpos.c libwcs/libwcs.a
	$(CC) $(CFLAGS) -o $(BIN)/simpos simpos.c $(LIBS)

gsc2cat: gsc2cat.c $(LIBWCS)
	$(CC) $(CFLAGS) -o $(BIN)/gsc2cat gsc2cat.c $(LIBS)

tmcat: tmcat.c
	$(CC) $(CFLAGS) -o $(BIN)/tmcat tmcat.c

tmcate: tmcate.c
	$(CC) $(CFLAGS) -o $(BIN)/tmcate tmcate.c

$(LIBWCS): libwcs/*.c libwcs/*.h
	cd libwcs; make

$(LIBNED): libned/*.c libned/*.h
	cd libned; make

objclean:
	cd libwcs; make clean
	cd libned; make clean

binclean:
	rm -f ./bin/*

clean:
	make objclean; make binclean

=== libwcs/Makefile ===
CFLAGS= -g
CC= cc

OBJS =	imsetwcs.o imgetwcs.o matchstar.o findstar.o daoread.o wcscon.o \
	fitswcs.o wcsinit.o wcs.o ty2read.o webread.o tmcread.o \
	gscread.o gsc2read.o ujcread.o uacread.o ubcread.o ucacread.o \
	sdssread.o tabread.o binread.o ctgread.o actread.o catutil.o \
	skybotread.o imrotate.o fitsfile.o imhfile.o \
	hget.o hput.o imio.o dateutil.o imutil.o \
	worldpos.o tnxpos.o zpxpos.o dsspos.o platepos.o \
	sortstar.o platefit.o iget.o fileutil.o \
	wcslib.o lin.o cel.o proj.o sph.o wcstrig.o distort.o poly.o

libwcs.a:	$(OBJS)
	ar rv $@ $?
	ranlib $@

actread.o:	fitsfile.h wcscat.h wcs.h fitshead.h wcslib.h
binread.o:	wcscat.h wcs.h fitshead.h wcslib.h
ctgread.o:	wcscat.h wcs.h fitshead.h wcslib.h
catutil.o:	wcscat.h wcs.h fitshead.h wcslib.h
cel.o:		wcslib.h
daoread.o:	wcscat.h
dateutil.o:	fitsfile.h fitshead.h
distort.o:	wcs.h fitshead.h wcslib.h
dsspos.o:	wcs.h fitshead.h wcslib.h
fileutil.o:	fitsfile.h fitshead.h
imutil.o:	fitsfile.h fitshead.h
findstar.o:	fitshead.h lwcs.h wcscat.h
fitsfile.o:	fitsfile.h fitshead.h
fitswcs.o:	fitsfile.h wcs.h fitshead.h wcslib.h
gscread.o:	fitsfile.h wcs.h wcscat.h fitshead.h wcslib.h
gsc2read.o:	fitsfile.h wcs.h wcscat.h fitshead.h wcslib.h
hget.o:		fitshead.h
hput.o:		fitshead.h
iget.o:		fitshead.h
imgetwcs.o:	fitshead.h wcs.h lwcs.h wcslib.h
imhfile.o:	fitsfile.h fitshead.h
imio.o:		fitsfile.h
imsetwcs.o:	fitshead.h wcs.h lwcs.h wcscat.h wcslib.h
imrotate.o:	fitsfile.h
lin.o:		wcslib.h
matchstar.o:	fitshead.h wcs.h lwcs.h wcslib.h wcscat.h
platefit.o:	wcs.h fitshead.h wcslib.h
platepos.o:	wcs.h fitshead.h wcslib.h
poly.o:		wcslib.h
proj.o:		wcslib.h
sdssread.o:	fitsfile.h wcs.h wcscat.h fitshead.h wcslib.h
skybotread.o:	fitsfile.h wcs.h wcscat.h fitshead.h wcslib.h
sortstar.o:	wcscat.h
sph.o:		wcslib.h
tabread.o:	fitshead.h wcs.h wcslib.h wcscat.h
tmcread.o:	fitsfile.h wcs.h wcscat.h fitshead.h wcslib.h
tnxpos.o:	wcs.h fitshead.h wcslib.h
zpxpos.o:	wcs.h fitshead.h wcslib.h
ty2read.o:	fitsfile.h wcs.h wcscat.h fitshead.h wcslib.h
uacread.o:	fitshead.h wcs.h wcscat.h wcslib.h
ubcread.o:	fitshead.h wcs.h wcscat.h wcslib.h
ucacread.o:	fitshead.h wcs.h wcscat.h wcslib.h
ujcread.o:	fitshead.h wcs.h wcscat.h wcslib.h
wcs.o:		fitshead.h wcs.h wcslib.h
wcsinit.o:	fitshead.h wcs.h wcslib.h
wcscon.o:	wcs.h fitshead.h wcslib.h
wcslib.o:	wcslib.h
wcstrig.o:	wcslib.h
webread.o:	wcscat.h
worldpos.o:	wcs.h fitshead.h wcslib.h

clean:
	rm -f *.a *.o

=== debian/changelog ===
wcstools (3.8.4-1) unstable; urgency=low

  * Initial release. (Closes: #655695)

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 13 Jan 2012 17:11:08 +0100

=== debian/control ===
Source: wcstools
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 7.0.50), help2man
Standards-Version: 3.9.2
Homepage: http://tdc-www.harvard.edu/software/wcstools/
Vcs-Git: git://git.debian.org/git/debian-science/packages/wcstools.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wcstools.git

Package: wcstools
Architecture: any
Depends: libwcstools0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Handle the WCS of a FITS image
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxillary programs
 search star catalogs and manipulate images.
 .
 This file contains the binary tools.

Package: libwcstools-dev
Architecture: any
Section: libdevel
Depends: libwcstools0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Handle the WCS of a FITS image (development files)
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxillary programs
 search star catalogs and manipulate images.
 .
 This file contains the filed needed for development.

Package: libwcstools0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Handle the WCS of a FITS image (shared library)
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxillary programs
 search star catalogs and manipulate images.
 .
 This file contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_build:
	mkdir -p bin
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	mkdir -p Man/man_generated
	for i in `ls bin` ; do \
	  if [ ! -f Man/man1/$$i.1 ] ; then \
	    NAME=`fgrep $$i wcstools | sed "s/:/ \\\\- /"` ; \
	    LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:libwcs help2man --no-discard-stderr --version-string=3.8.4 -N -h "" -n "$NAME" bin/$$i | fgrep -v WCSTools > Man/man_generated/$$i.1 ; \
	  fi \
	done
	dh_installman

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/wcstools/usr/share/doc/wcstools/examples/*

## wcstools 3.8.5

=== debian/changelog ===
wcstools (3.8.5-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards version to 3.9.3.
  * Set DM-Upload-Allowed: yes
  * Fix a crash that appears in saods9

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 04 Jun 2012 08:30:00 +0200

wcstools (3.8.4-2) unstable; urgency=low

  * Rename remap to wcsremap. Closes: #657644
  * Rename imcat to imcatalog. Closes: #657645

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 27 Jan 2012 20:26:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), help2man
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://tdc-www.harvard.edu/software/wcstools/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wcstools.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wcstools.git
 
 Package: wcstools
 Architecture: any
-Depends: libwcstools0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libwcstools0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Handle the WCS of a FITS image
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -24,7 +25,7 @@
 Package: libwcstools-dev
 Architecture: any
 Section: libdevel
-Depends: libwcstools0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libwcstools0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Handle the WCS of a FITS image (development files)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -37,7 +38,7 @@
 Package: libwcstools0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Handle the WCS of a FITS image (shared library)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -46,4 +47,3 @@
  search star catalogs and manipulate images.
  .
  This file contains the shared library.
-

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,15 @@
 override_dh_auto_build:
 	mkdir -p bin
 	dh_auto_build
+	mv bin/imcat bin/imcatalog
+	mv bin/remap bin/wcsremap
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 override_dh_installman:
 	mkdir -p Man/man_generated
+	mv Man/man1/imcat.1 Man/man1/imcatalog.1
 	for i in `ls bin` ; do \
 	  if [ ! -f Man/man1/$$i.1 ] ; then \
 	    NAME=`fgrep $$i wcstools | sed "s/:/ \\\\- /"` ; \
@@ -22,7 +25,11 @@
 	  fi \
 	done
 	dh_installman
+	mv Man/man1/imcatalog.1 Man/man1/imcat.1
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod 0644 debian/wcstools/usr/share/doc/wcstools/examples/*
+
+override_dh_install:
+	dh_install

## wcstools 3.8.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS= -g
+CFLAGS= -g -D_FILE_OFFSET_BITS=64
 CC= cc
 LIBWCS = libwcs/libwcs.a
 LIBNED = libned/libned.a

=== libned/Makefile ===
# If your system is BSD based, please define BSD specifically.
#
# If you are running Solaris, 
# you need to define _NO_PROTO when you compile them
# you need to link your object files with -lsocket and -lnsl to make executable.


CFLAGS = -g -D_NO_PROTO
CC = cc

SRC = ned_cli.c ned_cif.c ned_err.c ned_sk.c
OBJ = ned_cli.o ned_cif.o ned_err.o ned_sk.o

libned.a:	$(OBJ)
	ar rv $@ $?
	ranlib $@

all : nedname nedpos name_resolver  byname nearname nearposn iau ex_refcode ref

nedname: libned.a nedname.o ../libwcs/libwcs.a
	cc -o nedname nedname.o $(OBJ) ../libwcs/libwcs.a -lsocket  -lnsl -lm

nedpos: libned.a nedpos.o ../libwcs/libwcs.a
	cc -o nedpos nedpos.o $(OBJ) ../libwcs/libwcs.a -lsocket  -lnsl -lm

name_resolver: libned.a name_resolver.o
	cc -o name_resolver name_resolver.o libned.a -lm -lsocket  -lnsl

byname: libned.a byname.o
	cc -o byname byname.o $(OBJ)  -lsocket  -lnsl -lm

nearname: libned.a nearname.o
	cc -o nearname nearname.o libned.a -lm -lsocket  -lnsl

nearposn: libned.a nearposn.o
	cc -o nearposn nearposn.o libned.a -lm -lsocket  -lnsl

iau: libned.a iau.o
	cc -o iau iau.o libned.a -lm -lsocket  -lnsl

ex_refcode: libned.a ex_refcode.o
	cc -o ex_refcode ex_refcode.o libned.a -lm -lsocket  -lnsl

ref: libned.a ref.o
	cc -o ref ref.o libned.a -lm -lsocket  -lnsl

clean:
	rm -f nedname nedpos byname ex_refcode iau name_resolver nearname nearposn ref *.o *.a

=== debian/changelog ===
wcstools (3.8.7-2) unstable; urgency=low

  * Install wcscat.h. Closes: #717942
  * Fix crashes found by the mayhem tool. Closes: #715682, #715755,
    #715905, #715956, #715957

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 27 Jul 2013 17:24:33 +0200

wcstools (3.8.7-1) unstable; urgency=low

  * Package description corrected. Closes: #699683
  * Push policy version to 3.9.4 (no changes)
  * Forward CFLAGS, CPPFLAGS, LDFLAGS for fortification

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 20 Apr 2013 08:33:51 +0200

wcstools (3.8.7-1~exp1) experimental; urgency=low

  * New upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 21 Oct 2012 13:48:34 +0200

wcstools (3.8.6-1~exp1) experimental; urgency=low

  * New upstream version
  * Multiarch support
  * Fortify compilation

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 16 Aug 2012 15:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), help2man
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-exec (>= 0.1), help2man
+Standards-Version: 3.9.4
 Homepage: http://tdc-www.harvard.edu/software/wcstools/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/wcstools.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wcstools.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/wcstools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/wcstools.git
 
 Package: wcstools
 Architecture: any
@@ -20,7 +19,7 @@
  position within the image to position on the sky.  Auxillary programs
  search star catalogs and manipulate images.
  .
- This file contains the binary tools.
+ This package contains the binary tools.
 
 Package: libwcstools-dev
 Architecture: any
@@ -33,12 +32,14 @@
  position within the image to position on the sky.  Auxillary programs
  search star catalogs and manipulate images.
  .
- This file contains the filed needed for development.
+ This package contains the files needed for development.
 
 Package: libwcstools0
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Handle the WCS of a FITS image (shared library)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -46,4 +47,4 @@
  position within the image to position on the sky.  Auxillary programs
  search star catalogs and manipulate images.
  .
- This file contains the shared library.
+ This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_build:
	mkdir -p bin
	dh_auto_build
	mv bin/imcat bin/imcatalog
	mv bin/remap bin/wcsremap

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	mkdir -p man/man_generated
	mv man/man1/imcat.1 man/man1/imcatalog.1
	for i in `ls bin` ; do \
	  if [ ! -f man/man1/$$i.1 ] ; then \
	    NAME=`fgrep $$i wcstools | sed "s/:/ \\\\- /"` ; \
	    LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:libwcs help2man --no-discard-stderr --version-string=3.8.7 -N -h "" -n "$NAME" bin/$$i | fgrep -v WCSTools > man/man_generated/$$i.1 ; \
	  fi \
	done
	dh_installman
	mv man/man1/imcatalog.1 man/man1/imcat.1

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/wcstools/usr/share/doc/wcstools/examples/*

override_dh_install:
	dh_install

=== debian/watch ===
version=3
# The ftp server really WANTS to have an email address. Use a generic hint here.
ftp://anonymous:uscan%40debian.org@cfa-ftp.harvard.edu/pub/gsc/WCSTools/wcstools-(.+)\.tar\.gz

## wcstools 3.9.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	keyhead skycoor subpix xy2sky wcshead conpix gettab newfits getfits \
 	imstack imextract sumpix remap getcol getdate imfill imsmooth imresize \
 	fileroot filename filext char2sp sp2char crlf isnum isrange isfits \
-	simpos nedpos bincat
+	isfile simpos nedpos bincat
 
 addpix: addpix.c $(LIBWCS) libwcs/fitsfile.h
 	$(CC) $(CFLAGS) -o $(BIN)/addpix addpix.c $(LIBS)
@@ -111,6 +111,9 @@
 
 imstar: imstar.c $(LIBWCS) libwcs/fitsfile.h libwcs/wcs.h libwcs/lwcs.h libwcs/wcscat.h
 	$(CC) $(CFLAGS) -o $(BIN)/imstar imstar.c $(LIBS)
+
+isfile: isfile.c $(LIBWCS) libwcs/fitshead.h
+	$(CC) $(CFLAGS) -o $(BIN)/isfile isfile.c $(LIBS)
 
 isfits: isfits.c $(LIBWCS) libwcs/fitshead.h
 	$(CC) $(CFLAGS) -o $(BIN)/isfits isfits.c $(LIBS)

=== debian/changelog ===
wcstools (3.9.0+dfsg-1) unstable; urgency=low

  * New upstream version
  * Change maintainer and VCS location to debian-astro
  * Change uploader's e-mail address.

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Sep 2014 11:15:07 +0200

=== debian/control ===
Source: wcstools
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec (>= 0.1),
               help2man
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/wcstools.git
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/wcstools.git
Homepage: http://tdc-www.harvard.edu/software/wcstools/

Package: wcstools
Architecture: any
Depends: libwcstools0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Handle the WCS of a FITS image
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxillary programs
 search star catalogs and manipulate images.
 .
 This package contains the binary tools.

Package: libwcstools-dev
Architecture: any
Section: libdevel
Depends: libwcstools0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Handle the WCS of a FITS image (development files)
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxillary programs
 search star catalogs and manipulate images.
 .
 This package contains the files needed for development.

Package: libwcstools0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Handle the WCS of a FITS image (shared library)
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxillary programs
 search star catalogs and manipulate images.
 .
 This package contains the shared library.

## wcstools 3.9.1

=== debian/changelog ===
wcstools (3.9.1-1) unstable; urgency=low

  * New upstream version
  * Update standards version to 3.9.6. No changes needed.
  * Create upstream/metadata with bibliographic information
  * Create symbols file
  * Create CI tests

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 13:21:41 +0200

## wcstools 3.9.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 CFLAGS= -g -D_FILE_OFFSET_BITS=64
 CC= cc
 LIBWCS = libwcs/libwcs.a
-LIBNED = libned/libned.a
 LIBS = $(LIBWCS) -lm
 #LIBS = $(LIBWCS) -lm -lnsl -lsocket
 BIN = bin
@@ -14,7 +13,7 @@
 	keyhead skycoor subpix xy2sky wcshead conpix gettab newfits getfits \
 	imstack imextract sumpix remap getcol getdate imfill imsmooth imresize \
 	fileroot filename filext char2sp sp2char crlf isnum isrange isfits \
-	isfile simpos nedpos bincat
+	isfile simpos bincat
 
 addpix: addpix.c $(LIBWCS) libwcs/fitsfile.h
 	$(CC) $(CFLAGS) -o $(BIN)/addpix addpix.c $(LIBS)
@@ -139,12 +138,6 @@
 matchcat: matchcat.c $(LIBWCS) libwcs/wcscat.h libwcs/wcs.h
 	$(CC) $(CFLAGS) -o $(BIN)/matchcat matchcat.c $(LIBS)
 
-nedname: nedname.c $(LIBWCS) $(LIBNED) libwcs/wcs.h libned/ned_client.h
-	$(CC) $(CFLAGS) -o $(BIN)/nedname nedname.c $(LIBS) $(LIBNED)
-
-nedpos: nedpos.c $(LIBWCS) $(LIBNED) libwcs/wcs.h libned/ned_client.h
-	$(CC) $(CFLAGS) -o $(BIN)/nedpos nedpos.c $(LIBS) $(LIBNED)
-
 newfits: newfits.c $(LIBWCS) libwcs/fitshead.h libwcs/wcs.h
 	$(CC) $(CFLAGS) -o $(BIN)/newfits newfits.c $(LIBS)
 
@@ -196,12 +189,8 @@
 $(LIBWCS): libwcs/*.c libwcs/*.h
 	cd libwcs; make
 
-$(LIBNED): libned/*.c libned/*.h
-	cd libned; make
-
 objclean:
 	cd libwcs; make clean
-	cd libned; make clean
 
 binclean:
 	rm -f ./bin/*

=== debian/changelog ===
wcstools (3.9.2-5) unstable; urgency=low

  * Another workaround for long CTYPEs.
  * Update standards-version to 3.9.7. No changes needed.
  * Update VCS fields in d/control.

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Feb 2016 21:44:58 +0100

wcstools (3.9.2-4) unstable; urgency=low

  * Fix crash and undefined behaviour with imstar
  * Use -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 for large file support

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jun 2015 14:18:26 +0200

wcstools (3.9.2-3) unstable; urgency=low

  * Run CI test during package build as well
  * Revert last fix (not working), and replace with workaround

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Jun 2015 17:18:46 +0200

wcstools (3.9.2-2) unstable; urgency=low

  * Fix crash with long CTYPEs. LP: #1458333

 -- Ole Streicher <olebole@debian.org>  Wed, 27 May 2015 10:44:10 +0200

wcstools (3.9.2-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Sat, 16 May 2015 14:32:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9),
                dh-exec (>= 0.1),
                help2man
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/wcstools.git
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/wcstools.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/wcstools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/wcstools.git
 Homepage: http://tdc-www.harvard.edu/software/wcstools/
 
 Package: wcstools
@@ -55,4 +55,3 @@
  search star catalogs and manipulate images.
  .
  This package contains the shared library.
-

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+CPPFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 
 %:
 	dh  $@
@@ -12,6 +14,11 @@
 	mv bin/imcat bin/imcatalog
 	mv bin/remap bin/wcsremap
 
+override_dh_auto_test:
+	LD_LIBRARY_PATH=$$PWD/libwcs:$$LD_LIBRARY_PATH \
+	PATH=$$PWD/bin:$$PATH \
+	debian/tests/wcstools-test
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
@@ -21,7 +28,7 @@
 	for i in `ls bin` ; do \
 	  if [ ! -f man/man1/$$i.1 ] ; then \
 	    NAME=`fgrep $$i wcstools | sed "s/:/ \\\\- /"` ; \
-	    LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:libwcs help2man --no-discard-stderr --version-string=3.8.7 -N -h "" -n "$NAME" bin/$$i | fgrep -v WCSTools > man/man_generated/$$i.1 ; \
+	    LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:libwcs help2man --no-discard-stderr --version-string="$(shell dpkg-parsechangelog -S Version | cut -d- -f1)" -N -h "" -n "$NAME" bin/$$i | fgrep -v WCSTools > man/man_generated/$$i.1 ; \
 	  fi \
 	done
 	dh_installman

## wcstools 3.9.4

=== debian/changelog ===
wcstools (3.9.4-2) unstable; urgency=low

  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Aug 2016 21:36:39 +0200

wcstools (3.9.4-2~exp1) experimental; urgency=low

  * Start a transition (new SONAME). Closes: #833924

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Aug 2016 14:34:56 +0200

wcstools (3.9.4-1) unstable; urgency=low

  * Add ASCL-Id to d/u/metadata
  * Update Standards-Version to 3.9.8. No changes needed
  * Imported Upstream version 3.9.4

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Aug 2016 16:35:20 +0200

=== debian/control ===
Source: wcstools
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec (>= 0.1),
               help2man
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/wcstools.git
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/wcstools.git
Homepage: http://tdc-www.harvard.edu/software/wcstools/

Package: wcstools
Architecture: any
Depends: libwcstools1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Handle the WCS of a FITS image
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxiliary programs
 search star catalogs and manipulate images.
 .
 This package contains the binary tools.

Package: libwcstools-dev
Architecture: any
Section: libdevel
Depends: libwcstools1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Handle the WCS of a FITS image (development files)
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxiliary programs
 search star catalogs and manipulate images.
 .
 This package contains the files needed for development.

Package: libwcstools1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Handle the WCS of a FITS image (shared library)
 WCSTools is a set of software utilities, written in C, which create,
 display and manipulate the world coordinate system of a FITS or IRAF
 image, using specific keywords in the image header which relate pixel
 position within the image to position on the sky.  Auxiliary programs
 search star catalogs and manipulate images.
 .
 This package contains the shared library.

## wcstools 3.9.5

=== Makefile ===
--- 
+++ 
@@ -120,6 +120,9 @@
 isnum: isnum.c $(LIBWCS) libwcs/fitshead.h
 	$(CC) $(CFLAGS) -o $(BIN)/isnum isnum.c $(LIBS)
 
+isimlist: isimlist.c $(LIBWCS) libwcs/fitsfile.h
+	$(CC) $(CFLAGS) -o $(BIN)/isimlist isimlist.c $(LIBS)
+
 isrange: isrange.c
 	$(CC) $(CFLAGS) -o $(BIN)/isrange isrange.c

=== debian/changelog ===
wcstools (3.9.5-2) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Add IRAF package for wcstools
  * Set -dev package to Multi-Arch: same

 -- Ole Streicher <olebole@debian.org>  Tue, 23 Jan 2018 21:30:58 +0100

wcstools (3.9.5-1) unstable; urgency=low

  * New upstream version 3.9.5
  * Rediff patches
  * Update Standards-Version to 4.0.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 18:05:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper (>= 9),
                dh-exec (>= 0.1),
                help2man
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/wcstools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/wcstools.git
+Build-Depends-Indep: iraf-dev
+Standards-Version: 4.0.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/wcstools
+Vcs-Git: https://salsa.debian.org/debian-astro-team/wcstools.git
 Homepage: http://tdc-www.harvard.edu/software/wcstools/
 
 Package: wcstools
@@ -27,6 +28,7 @@
 
 Package: libwcstools-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libwcstools1 (= ${binary:Version}),
          ${misc:Depends},
@@ -55,3 +57,17 @@
  search star catalogs and manipulate images.
  .
  This package contains the shared library.
+
+Package: iraf-wcstools
+Architecture: all
+Depends: iraf,
+         wcstools,
+         ${misc:Depends}
+Description: Handle the WCS of a FITS image (IRAF package)
+ WCSTools is a set of software utilities, written in C, which create,
+ display and manipulate the world coordinate system of a FITS or IRAF
+ image, using specific keywords in the image header which relate pixel
+ position within the image to position on the sky.  Auxiliary programs
+ search star catalogs and manipulate images.
+ .
+ This package contains the IRAF package.

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,17 @@
 %:
 	dh  $@
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	mkdir -p bin
 	dh_auto_build
 	mv bin/imcat bin/imcatalog
 	mv bin/remap bin/wcsremap
 
-override_dh_auto_test:
+override_dh_auto_build-indep:
+	HOME=/tmp irafcl -f debian/mkhelpdb.cl
+	test -e debian/iraf/lib/helpdb.mip
+
+override_dh_auto_test-arch:
 	LD_LIBRARY_PATH=$$PWD/libwcs:$$LD_LIBRARY_PATH \
 	PATH=$$PWD/bin:$$PATH \
 	debian/tests/wcstools-test
@@ -34,9 +38,7 @@
 	dh_installman
 	mv man/man1/imcatalog.1 man/man1/imcat.1
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod 0644 debian/wcstools/usr/share/doc/wcstools/examples/*
 
-override_dh_install:
-	dh_install

=== debian/watch ===
version=3
# The ftp server really WANTS to have an email address. Use a generic hint here.
opts=dversionmangle=s/\+dfsg// \
ftp://anonymous:uscan%40debian.org@cfa-ftp.harvard.edu/pub/gsc/WCSTools/wcstools-(.+)\.tar\.gz

## wcstools 3.9.6

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	imrot imsize imstar imwcs scat sethead addpix getpix setpix sky2xy \
 	keyhead skycoor subpix xy2sky wcshead conpix gettab newfits getfits \
 	imstack imextract sumpix remap getcol getdate imfill imsmooth imresize \
-	fileroot filename filext char2sp sp2char crlf isnum isrange isfits \
+	fileroot filename filext char2sp sp2char crlf htmlsp isnum isrange isfits \
 	isfile simpos bincat
 
 addpix: addpix.c $(LIBWCS) libwcs/fitsfile.h
@@ -78,6 +78,9 @@
 httpget: httpget.c $(LIBWCS) libwcs/wcscat.h
 	$(CC) $(CFLAGS) -o $(BIN)/httpget httpget.c $(LIBS)
 
+htmlsp: htmlsp.c
+	$(CC) $(CFLAGS) -o $(BIN)/htmlsp htmlsp.c
+
 i2f: i2f.c $(LIBWCS) libwcs/fitsfile.h
 	$(CC) $(CFLAGS) -o $(BIN)/i2f i2f.c $(LIBS)

=== debian/changelog ===
wcstools (3.9.6-1) unstable; urgency=low

  * Fix defdir in helpdb.mip
  * Use http download URL (https does not work yet)
  * Add gitlab-ci file to trigger automated CI test
  * New upstream version 3.9.6. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.
  * Push dh-compat to 13
  * Fix getpix output
  * Fix axes order in getpix test
  * Update symbols file
  * Add Rules-Requires-Root: no to d/control
  * Replace ADTTMP with AUTOPKG_TMP

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jun 2020 15:43:46 +0200

wcstools (3.9.5-3) unstable; urgency=medium

  [ Ole Streicher ]
  * Add Enhances: iraf to d/control
  * Push Standards-Version to 4.1.4. Use https in copyright format URL
  * Push compat to 11

  [ Helmut Grohne ]
  * wcstools FTCBFS: fails running tests despite DEB_BUILD_OPTIONS=nocheck
    (Closes: Bug#899016)

 -- Ole Streicher <olebole@debian.org>  Fri, 18 May 2018 21:22:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-exec (>= 0.1),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                help2man
 Build-Depends-Indep: iraf-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/wcstools
 Vcs-Git: https://salsa.debian.org/debian-astro-team/wcstools.git
 Homepage: http://tdc-www.harvard.edu/software/wcstools/
+Rules-Requires-Root: no
 
 Package: wcstools
 Architecture: any
@@ -63,6 +64,7 @@
 Depends: iraf,
          wcstools,
          ${misc:Depends}
+Enhances: iraf
 Description: Handle the WCS of a FITS image (IRAF package)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

%:
	dh  $@ --no-parallel

override_dh_auto_build-arch:
	mkdir -p bin
	dh_auto_build
	mv bin/imcat bin/imcatalog
	mv bin/remap bin/wcsremap

override_dh_auto_build-indep:
	HOME=/tmp wcstools=`pwd`/debian/iraf/ irafcl -f debian/mkhelpdb.cl
	test -e debian/iraf/lib/helpdb.mip

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LD_LIBRARY_PATH=$$PWD/libwcs:$$LD_LIBRARY_PATH \
	PATH=$$PWD/bin:$$PATH \
	debian/tests/wcstools-test
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	mkdir -p man/man_generated
	mv man/man1/imcat.1 man/man1/imcatalog.1
	for i in `ls bin` ; do \
	  if [ ! -f man/man1/$$i.1 ] ; then \
	    NAME=`fgrep $$i wcstools | sed "s/:/ \\\\- /"` ; \
	    LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:libwcs help2man --no-discard-stderr --version-string="$DEB_SOURCE" -N -h "" -n "$NAME" bin/$$i | fgrep -v WCSTools > man/man_generated/$$i.1 ; \
	  fi \
	done
	dh_installman
	mv man/man1/imcatalog.1 man/man1/imcat.1

override_dh_fixperms-arch:
	dh_fixperms
	chmod 0644 debian/wcstools/usr/share/doc/wcstools/examples/*

## wcstools 3.9.7

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,9 @@
 filext: filext.c
 	$(CC) $(CFLAGS) -o $(BIN)/filext filext.c
 
+fixhead: fixhead.c $(LIBWCS) libwcs/fitsfile.h
+	$(CC) $(CFLAGS) -o $(BIN)/fixhead fixhead.c $(LIBS)
+
 fixpix: fixpix.c $(LIBWCS) libwcs/fitsfile.h
 	$(CC) $(CFLAGS) -o $(BIN)/fixpix fixpix.c $(LIBS)
 
@@ -123,6 +126,9 @@
 isnum: isnum.c $(LIBWCS) libwcs/fitshead.h
 	$(CC) $(CFLAGS) -o $(BIN)/isnum isnum.c $(LIBS)
 
+isdate: isdate.c $(LIBWCS) libwcs/fitshead.h
+	$(CC) $(CFLAGS) -o $(BIN)/isdate isdate.c $(LIBS)
+
 isimlist: isimlist.c $(LIBWCS) libwcs/fitsfile.h
 	$(CC) $(CFLAGS) -o $(BIN)/isimlist isimlist.c $(LIBS)

=== debian/changelog ===
wcstools (3.9.7-2) unstable; urgency=medium

  * Force C standard gnu17 for compilation (Closes: #1098084)
  * Push Standards-Verson to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Sep 2025 10:09:17 +0200

wcstools (3.9.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063066

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 01:58:43 +0000

wcstools (3.9.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata

  [ Ole Streicher ]
  * New upstream version 3.9.7
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed.
  * Remove leading slash from install bangpath
  * Update symbols file

 -- Ole Streicher <olebole@debian.org>  Sat, 30 Apr 2022 15:18:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: wcstools
+Standards-Version: 4.7.2
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders:
+ Ole Streicher <olebole@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-exec,
-               help2man
-Build-Depends-Indep: iraf-dev
-Standards-Version: 4.5.0
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
+ dh-exec,
+ help2man,
+Build-Depends-Indep:
+ iraf-dev,
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/wcstools
 Vcs-Git: https://salsa.debian.org/debian-astro-team/wcstools.git
 Homepage: http://tdc-www.harvard.edu/software/wcstools/
@@ -15,9 +19,10 @@
 
 Package: wcstools
 Architecture: any
-Depends: libwcstools1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libwcstools1t64 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Handle the WCS of a FITS image
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -31,9 +36,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libwcstools1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libwcstools1t64 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Handle the WCS of a FITS image (development files)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -43,13 +49,21 @@
  .
  This package contains the files needed for development.
 
-Package: libwcstools1
+Package: libwcstools1t64
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Breaks:
+ libwcstools1 (<< ${source:Version}),
+Provides:
+ ${t64:Provides},
+Replaces:
+ libwcstools1,
 Description: Handle the WCS of a FITS image (shared library)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF
@@ -61,10 +75,12 @@
 
 Package: iraf-wcstools
 Architecture: all
-Depends: iraf,
-         wcstools,
-         ${misc:Depends}
-Enhances: iraf
+Depends:
+ iraf,
+ wcstools,
+ ${misc:Depends},
+Enhances:
+ iraf,
 Description: Handle the WCS of a FITS image (IRAF package)
  WCSTools is a set of software utilities, written in C, which create,
  display and manipulate the world coordinate system of a FITS or IRAF

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CPPFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+export DEB_CPPFLAGS_MAINT_APPEND = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 %:
 	dh  $@ --no-parallel

=== debian/tests/control ===
Tests: wcstools-test
Depends: wcstools

=== debian/watch ===
version=3
# The ftp server really WANTS to have an email address. Use a generic hint here.
opts=dversionmangle=s/\+dfsg// \
 http://tdc-www.harvard.edu/software/wcstools/ wcstools-(\d.+).tar.gz
